Package org.eclipse.gef.mvc.fx.parts

## Interface IRootPart<V extends javafx.scene.Node>

Type Parameters:
  `V` - The visual node used by this `IRootPart`.

All Superinterfaces:
  `IActivatable`, `IAdaptable`, `IAdaptable.Bound<IViewer>`, `IDisposable`, `IVisualPart<V>`

All Known Implementing Classes:
  `LayeredRootPart`

    public interface IRootPart<V extends javafx.scene.Node>
    extends IVisualPart<V>

A `IRootPart` is the root controller of an `IViewer`. It controls the root view and holds `IHandlePart` and `IContentPart` children. The `IRootPart` does not correspond to anything in the model, and typically can not be interacted with by the User. The Root provides a homogeneous context for the applications "real" `IVisualPart`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`IAdaptable.Bound<A extends IAdaptable>`

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

### Field Summary

### Fields inherited from interface org.eclipse.gef.common.activate.IActivatable

`ACTIVE_PROPERTY`

### Fields inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`ADAPTERS_PROPERTY`

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`ANCHORAGES_PROPERTY, ANCHOREDS_PROPERTY, CHILDREN_PROPERTY, PARENT_PROPERTY, REFRESH_VISUAL_PROPERTY`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List<IContentPart<? extends javafx.scene.Node>>` `getContentPartChildren()` Returns all children of type `IContentPart` contained by this `IRootPart`.
`java.util.List<IFeedbackPart<? extends javafx.scene.Node>>` `getFeedbackPartChildren()` Returns all children of type `IFeedbackPart` contained by this `IRootPart`.
`java.util.List<IHandlePart<? extends javafx.scene.Node>>` `getHandlePartChildren()` Returns all children of type `IHandlePart` contained by this `IRootPart`.

### Methods inherited from interface org.eclipse.gef.common.activate.IActivatable

`activate, activeProperty, deactivate, isActive`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adaptersProperty, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, setAdapter, setAdapter, setAdapter, setAdapter, unsetAdapter`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from interface org.eclipse.gef.common.dispose.IDisposable

`dispose`

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, detachAnchored, detachFromAnchorage, detachFromAnchorage, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getViewer, getVisual, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, removeChild, removeChildren, reorderChild, setParent, setRefreshVisual`

### Method Detail

#### getContentPartChildren

    java.util.List<IContentPart<? extends javafx.scene.Node>> getContentPartChildren()

Returns all children of type `IContentPart` contained by this `IRootPart`.

Returns:
  A list containing all `IContentPart` children.

#### getFeedbackPartChildren

    java.util.List<IFeedbackPart<? extends javafx.scene.Node>> getFeedbackPartChildren()

Returns all children of type `IFeedbackPart` contained by this `IRootPart`.

Returns:
  A list containing all `IFeedbackPart` children.

#### getHandlePartChildren

    java.util.List<IHandlePart<? extends javafx.scene.Node>> getHandlePartChildren()

Returns all children of type `IHandlePart` contained by this `IRootPart`.

Returns:
  A list containing all `IHandlePart` children.